<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings.php
| Version: 1.09
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."fusion_tube/infusion_db.php";

if (!checkrights("VID") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fusion_tube/locale/English.php";
}

add_to_title($locale['global_200']." ".$locale['ft_095']);

add_to_head("<link rel='stylesheet' href='".INFUSIONS."fusion_tube/inc/css/vid-css.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."fusion_tube/inc/js/jscolor/jscolor.js'></script>");
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

   $ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));
    $error = 0;

	$vidsenable=(isset($_POST['vidsenable']) && isNum($_POST['vidsenable'])) ? $_POST['vidsenable'] : "0";
	$video_social=(isset($_POST['video_social']) && isNum($_POST['video_social'])) ? $_POST['video_social'] : "0";
	$vidsrss=(isset($_POST['vidsrss']) && isNum($_POST['vidsrss'])) ? $_POST['vidsrss'] : "0";
	$video_youtube_link=(isset($_POST['video_youtube_link']) && isNum($_POST['video_youtube_link'])) ? $_POST['video_youtube_link'] : "0";
	$video_facebook_comments=(isset($_POST['video_facebook_comments']) && isNum($_POST['video_facebook_comments'])) ? $_POST['video_facebook_comments'] : "0";
	$video_facebook_comments_width = stripinput($ftsettings['video_facebook_comments_width']);
	$video_facebook_comments_numpost = stripinput($ftsettings['video_facebook_comments_numpost']);
	$video_facebook_comments_userid = stripinput($ftsettings['video_facebook_comments_userid']);
	$video_facebook_comments_appid	= stripinput($ftsettings['video_facebook_comments_appid']);
	$report_video=(isset($_POST['report_video']) && isNum($_POST['report_video'])) ? $_POST['report_video'] : "0";
	$video_comments=(isset($_POST['video_comments']) && isNum($_POST['video_comments'])) ? $_POST['video_comments'] : "0";
	$video_ratings=(isset($_POST['video_ratings']) && isNum($_POST['video_ratings'])) ? $_POST['video_ratings'] : "0";
	$video_latest_center=(isset($_POST['video_latest_center']) && isNum($_POST['video_latest_center'])) ? $_POST['video_latest_center'] : "0";
	$video_tags=(isset($_POST['video_tags']) && isNum($_POST['video_tags'])) ? $_POST['video_tags'] : "0";
	$video_stats=(isset($_POST['video_stats']) && isNum($_POST['video_stats'])) ? $_POST['video_stats'] : "0";
	$video_nav=(isset($_POST['video_nav']) && isNum($_POST['video_nav'])) ? $_POST['video_nav'] : "0";
	$video_descimg_pos=(isset($_POST['video_descimg_pos']) && isNum($_POST['video_descimg_pos'])) ? $_POST['video_descimg_pos'] : "0";
    $video_width = stripinput($ftsettings['video_width']);
	$video_height = stripinput($ftsettings['video_height']);
	$theme=(isset($_POST['theme']) && isNum($_POST['theme'])) ? $_POST['theme'] : "0";
	$colour=(isset($_POST['colour']) && isNum($_POST['colour'])) ? $_POST['colour'] : "0";
	$player_frame_colour = stripinput($ftsettings['player_frame_colour']);
	$player_frame_size = stripinput($ftsettings['player_frame_size']);
	$videos_per_page = stripinput($ftsettings['videos_per_page']);
	$relatedvids =(isset($_POST['relatedvids']) && isNum($_POST['relatedvids'])) ? $_POST['relatedvids'] : "0";
	$favsenable=(isset($_POST['favsenable']) && isNum($_POST['favsenable'])) ? $_POST['favsenable'] : "0";
	$lights=(isset($_POST['lights']) && isNum($_POST['lights'])) ? $_POST['lights'] : "0";
	$search_tags_enable =(isset($_POST['search_tags_enable']) && isNum($_POST['search_tags_enable'])) ? $_POST['search_tags_enable'] : "0";
	
if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_VIDEO_SETTINGS." SET vidsenable='$vidsenable', video_social='$video_social', vidsrss='$vidsrss', video_youtube_link='$video_youtube_link', 
	video_facebook_comments='$video_facebook_comments', video_comments='$video_comments', video_ratings='$video_ratings', video_latest_center='$video_latest_center', 
	video_tags='$video_tags', video_stats='$video_stats', video_nav='$video_nav', video_descimg_pos='$video_descimg_pos', video_width='".addslashes($_POST['video_width'])."', 
	video_height='".addslashes($_POST['video_height'])."', video_facebook_comments_width='".addslashes($_POST['video_facebook_comments_width'])."', 
	video_facebook_comments_numpost='".addslashes($_POST['video_facebook_comments_numpost'])."', video_facebook_comments_userid='".addslashes($_POST['video_facebook_comments_userid'])."', 
	video_facebook_comments_appid='".addslashes($_POST['video_facebook_comments_appid'])."', report_video='$report_video', theme='$theme', colour='$colour', player_frame_colour='".addslashes($_POST['player_frame_colour'])."', 
	player_frame_size='".addslashes($_POST['player_frame_size'])."', videos_per_page='".addslashes($_POST['videos_per_page'])."', relatedvids='$relatedvids', favsenable='$favsenable', lights='$lights', search_tags_enable='$search_tags_enable'");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

include INFUSIONS."fusion_tube/admin/admin_nav.php";

	opentable($locale['ft_095']);

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this)'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center'>\n<tr>\n";
	echo "<td class='tbl' >".$locale['ft_099']."</td>\n";
	echo "<td class='tbl' ><select name='vidsenable' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['vidsenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['vidsenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['ft_100']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='3' name='video_width'  value='".$video_width."' class='textbox' style='width:50px;'><br />\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td class='tbl'>".$locale['ft_101']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='3' name='video_height'  value='".$video_height."' class='textbox' style='width:50px;'><br />\n";
    echo "</td>\n</tr><tr>\n";
	
	echo "<td class='tbl' >".$locale['ft_186']."</td>\n";
	echo "<td class='tbl' ><select name='theme' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['theme'] == "1" ? " selected='selected'" : "").">".$locale['ft_182']."</option>\n";
	echo "<option value='0'".($ftsettings['theme'] == "0" ? " selected='selected'" : "").">".$locale['ft_183']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	
	echo "<td class='tbl' >".$locale['ft_187']."</td>\n";
	echo "<td class='tbl' ><select name='colour' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['colour'] == "1" ? " selected='selected'" : "").">".$locale['ft_184']."</option>\n";
	echo "<option value='0'".($ftsettings['colour'] == "0" ? " selected='selected'" : "").">".$locale['ft_185']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
		echo "<td class='tbl'>".$locale['ft_192']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='3' name='player_frame_size'  value='".$player_frame_size."' class='textbox' style='width:50px;'><br />\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo" <td align='left' class='tbl'>".$locale['ft_191']."</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='player_frame_colour' value='".$ftsettings['player_frame_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo "<td class='tbl'>".$locale['ft_126']."</td>\n";
    echo "<td class='tbl'><input type='text' maxlength='2' name='videos_per_page'  value='".$videos_per_page."' class='textbox' style='width:50px;'><br />\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_152']."</td>\n";
	echo "<td class='tbl' ><select name='video_descimg_pos' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_descimg_pos'] == "1" ? " selected='selected'" : "").">".$locale['ft_153']."</option>\n";
	echo "<option value='0'".($ftsettings['video_descimg_pos'] == "0" ? " selected='selected'" : "").">".$locale['ft_154']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_223']."</td>\n";
	echo "<td class='tbl' ><select name='search_tags_enable' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['search_tags_enable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['search_tags_enable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_102']."</td>\n";
	echo "<td class='tbl' ><select name='video_social' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_social'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_social'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_181']."</td>\n";
	echo "<td class='tbl' ><select name='vidsrss' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['vidsrss'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['vidsrss'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_155']."</td>\n";
	echo "<td class='tbl' ><select name='video_youtube_link' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_youtube_link'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_youtube_link'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_157']."</td>\n";
	echo "<td class='tbl' ><select name='video_facebook_comments' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_facebook_comments'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_facebook_comments'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['ft_158']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='20' name='video_facebook_comments_userid'  value='".$video_facebook_comments_userid."' class='textbox' style='width:120px;'><br />\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td class='tbl'>".$locale['ft_159']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='30' name='video_facebook_comments_appid'  value='".$video_facebook_comments_appid."' class='textbox' style='width:120px;'><br />\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td class='tbl'>".$locale['ft_160']."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='3' name='video_facebook_comments_width'  value='".$video_facebook_comments_width."' class='textbox' style='width:50px;'><br />\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td class='tbl'>".$locale['ft_161'] ."</td>\n";
	echo "<td class='tbl'><input type='text' maxlength='2' name='video_facebook_comments_numpost'  value='".$video_facebook_comments_numpost."' class='textbox' style='width:50px;'><br />\n";
    echo "</td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_103']."</td>\n";
	echo "<td class='tbl' ><select name='video_comments' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_comments'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_comments'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_104']."</td>\n";
	echo "<td class='tbl' ><select name='video_ratings' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_ratings'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_ratings'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr>";
	echo "<td class='tbl' >".$locale['ft_138']."</td>\n";
	echo "<td class='tbl' ><select name='video_nav' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_nav'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_nav'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n<tr>\n";
	echo "<td class='tbl' >".$locale['ft_106']."</td>\n";
	echo "<td class='tbl' ><select name='video_latest_center' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_latest_center'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_latest_center'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n<tr>\n";
	echo "<td class='tbl' >".$locale['ft_136']."</td>\n";
	echo "<td class='tbl' ><select name='video_tags' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_tags'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_tags'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n<tr>\n";
	echo "<td class='tbl' >".$locale['ft_137']."</td>\n";
	echo "<td class='tbl' ><select name='video_stats' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['video_stats'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['video_stats'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n<tr>\n";
	echo "<td class='tbl' >".$locale['fprv14']."</td>\n";
	echo "<td class='tbl' ><select name='report_video' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['report_video'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['report_video'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_180']."</td>\n";
	echo "<td class='tbl' ><select name='relatedvids' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['relatedvids'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['relatedvids'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_209']."</td>\n";
	echo "<td class='tbl' ><select name='favsenable' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['favsenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['favsenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['ft_218']."</td>\n";
	echo "<td class='tbl' ><select name='lights' class='textbox'>\n";
	echo "<option value='1'".($ftsettings['lights'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($ftsettings['lights'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr>\n";
	echo "</table>\n";
	echo "<div width='80%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savesettings' value='".$locale['ft_015']."' class='button' />\n";
	echo"</div>\n";
	echo "</form>\n";
	
		add_to_head("<script type='text/javascript'>
function ValidateForm(frm) {

	if(isNaN(frm.video_width.value)) {
		alert('".$locale['ft_096']."');
		return false;
	}
	if(isNaN(frm.video_height.value)) {
		alert('".$locale['ft_096']."');
		return false;
	}
	if(isNaN(frm.videos_per_page.value)) {
		alert('".$locale['ft_096']."');
		return false;
	}
	if(isNaN(frm.video_facebook_comments_width.value)) {
		alert('".$locale['ft_162']."');
		return false;
	}
	if(isNaN(frm.video_facebook_comments_numpost.value)) {
		alert('".$locale['ft_163'] ."');
		return false;
	}
	if(isNaN(frm.player_frame_size.value)) {
		alert('".$locale['ft_193']."');
		return false;
	}
	
	if(frm.video_width.value=='') {
		alert('".$locale['ft_097']."');
		return false;
	}
		if(frm.video_height.value=='') {
		alert('".$locale['ft_098']."');
		return false;
	}
			if(frm.videos_per_page.value=='') {
		alert('".$locale['ft_127']."');
		return false;
	}
	if(frm.video_facebook_comments_width.value=='') {
		alert('".$locale['ft_164']."');
		return false;
	}
		if(frm.video_facebook_comments_numpost.value=='') {
		alert('".$locale['ft_165']."');
		return false;
	}
		if(frm.player_frame_size.value=='') {
		alert('".$locale['ft_193']."');
		return false;
	}
}
</script>
<script src='".BASEDIR."infusions/fusion_tube/inc/js/jquery.tipsy.js' type='text/javascript'></script>
<script type='text/javascript'>
    $(function() {
	  $('#video-ratings-tip').tipsy({gravity: 'w'});  
    });
  </script>
");
    closetable();
	
	
	 // Please do not remove copyright info
  include INFUSIONS."fusion_tube/inc/copyright_func.php";
echo showFTcopyright();
require_once THEMES."templates/footer.php";
?>